document.addEventListener('DOMContentLoaded', () => {
  const newsGrid = document.getElementById('newsGrid');
  const loading = document.getElementById('loading');
  const menuToggle = document.querySelector('.menu-toggle');
  const navLinks = document.querySelector('.nav-links');

  // Sample news data (in real implementation, this would come from an API)
  const sampleNews = [
    {
      title: 'Global Climate Summit Reaches Historic Agreement',
      source: 'BBC News',
      image: 'climate-summit.jpg',
      url: '#'
    },
    {
      title: 'Tech Giants Face New Regulations in Europe',
      source: 'The New York Times',
      image: 'tech-regulations.jpg',
      url: '#'
    },
    {
      title: 'Breakthrough in Renewable Energy Storage',
      source: 'The Washington Post',
      image: 'renewable-energy.jpg',
      url: '#'
    }
    // Add more sample news items
  ];

  function createNewsCard(article) {
    return `
      <article class="news-card">
        <img src="${article.image}" alt="${article.title}">
        <div class="news-card-content">
          <h2>${article.title}</h2>
          <p class="news-source">${article.source}</p>
        </div>
      </article>
    `;
  }

  function loadNews() {
    loading.style.display = 'block';
    
    // Simulate API delay
    setTimeout(() => {
      newsGrid.innerHTML = sampleNews.map(article => createNewsCard(article)).join('');
      loading.style.display = 'none';
    }, 1000);
  }

  // Mobile menu toggle
  menuToggle.addEventListener('click', () => {
    navLinks.style.display = navLinks.style.display === 'flex' ? 'none' : 'flex';
  });

  // Load initial news
  loadNews();

  // Infinite scroll simulation
  window.addEventListener('scroll', () => {
    if ((window.innerHeight + window.scrollY) >= document.body.offsetHeight - 1000) {
      loadNews();
    }
  });
});
